prototypes:
  standard:
    formElementsDefinition:
      Page:
        formEditor:
          editors:
            100:
              identifier: header
              templateName: Inspector-FormElementHeaderEditor
            200:
              identifier: label
              templateName: Inspector-TextEditor
              label: formEditor.elements.Page.editor.label.label
              propertyPath: label
            300:
              identifier: previousButtonLabel
              templateName: Inspector-TextEditor
              label: formEditor.elements.Page.editor.previousButtonLabel.label
              propertyPath: renderingOptions.previousButtonLabel
            400:
              identifier: nextButtonLabel
              templateName: Inspector-TextEditor
              label: formEditor.elements.Page.editor.nextButtonLabel.label
              propertyPath: renderingOptions.nextButtonLabel
            9999:
              identifier: removeButton
              templateName: Inspector-RemoveElementEditor
          predefinedDefaults:
            renderingOptions:
              previousButtonLabel: formEditor.elements.Page.editor.previousButtonLabel.value
              nextButtonLabel: formEditor.elements.Page.editor.nextButtonLabel.value
          label: formEditor.elements.Page.label
          group: page
          groupSorting: 100
          _isTopLevelFormElement: true
          _isCompositeFormElement: true
          iconIdentifier: form-page
        implementationClassName: TYPO3\CMS\Form\Domain\Model\FormElements\Page
        renderingOptions:
          _isTopLevelFormElement: true
          _isCompositeFormElement: true
          nextButtonLabel: 'next Page'
          previousButtonLabel: 'previous Page'
    formEditor:
      formEditorPartials:
        FormElement-Page: Stage/Page
